package de.intevation.flys.artifacts.states;

import de.intevation.flys.artifacts.FLYSArtifact;

import de.intevation.flys.utils.FLYSUtils;


/**
 * Get me a double (km).
 */
public class EnterLocationState extends InputDoubleState {

    /** Provoke this kind of provider in the UI. */
    @Override
    protected String getUIProvider() {
        return "location_panel";
    }


    /** Allow from min km of river. */
    @Override
    protected Object getLower(FLYSArtifact flys) {
        double[] lowerUpper = FLYSUtils.getRiverMinMax(flys);

        return lowerUpper != null
            ? lowerUpper[0]
            : 0;
    }


    /** Allow to max km of river. */
    @Override
    protected Object getUpper(FLYSArtifact flys) {
        double[] lowerUpper = FLYSUtils.getRiverMinMax(flys);

        return lowerUpper != null
            ? lowerUpper[1]
            : 0;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
